# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc专区停用功能验证,2299,2299-7,sit,bs
主数据平台:后台运营系统专区停用接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import json

module = "cmdc_area"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取专区管理列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url_area")
request_body = commonFuc().get_business_data(module, "payload_area")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 获取专区信息
areaId = result["data"]["list"][0]["areaId"]

# 第三步进行专区停用操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url7")
request_body = commonFuc().get_business_data(module, "payload7", areaId)
"""

 场景: 专区停用功能验证
 用例名称：专区停用功能验证
 输出：{"disableSign":1}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 查询数据库中对应专区启用状态
sql = "SELECT t.disableSign FROM `cmdc-product`.ic_area t WHERE areaId = {}".format(areaId)
result = {"disableSign": mysql_handle.selectSql(host, port, user, pwd, "cmdc-product", sql)[0][0]}

# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict7")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

